curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}
Retrieve a list of all available AI models. Results are cached for 5 minutes.
curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}
list_models scope.
list_models scope.Show Model Object
video, image).curl -X GET https://api.muvi.video/v1/models \
-H "x-api-key: YOUR_API_KEY"
{
"models": [
{
"id": "model_abc123",
"providerId": "google",
"providerName": "Google",
"name": "Veo 3.1 Fast",
"description": "High-speed video generation model",
"category": "video",
"currentVersion": "v1.0",
"versionCount": 2,
"currentVersionPricing": {
"baseCredits": 50,
"unit": "per_generation"
}
}
]
}